name: small-definition
hosts:
  - name: server
    base_box:
      image: munikypo/debian-9-x86_64
      mgmt_user: None
    flavor: standard.tiny
    block_internet: True
    hidden: True

  - name: home
    base_box:
      image: munikypo/debian-9-x86_64
      mgmt_user: None
    flavor: csirtmu.tiny1x2

routers:
  - name: server-router
    base_box:
      image: munikypo/debian-9-x86_64
    flavor: csirtmu.tiny1x2

  - name: home-router
    base_box:
      image: munikypo/debian-9-x86_64
      mgmt_user: kypo-man
    flavor: standard.tiny

networks:
  - name: server-switch
    cidr: 10.10.20.0/24

  - name: home-switch
    cidr: 10.10.30.0/24
    accessible_by_user: True

net_mappings:
  - host: server
    network: server-switch
    ip: 10.10.20.5

  - host: home
    network: home-switch
    ip: 10.10.30.5

router_mappings:
  - router: server-router
    network: server-switch
    ip: 10.10.20.1

  - router: home-router
    network: home-switch
    ip: 10.10.30.1

groups:
  - name: user-accessible
    nodes:
      - server
      - home
      - home-router
